%global pypi_name django-devserver

Name:           python-%{pypi_name}
Version:        0.3.1
Release:        1%{?dist}
Summary:        Drop-in replacement for Django's runserver

License:        BSD
URL:            https://github.com/dcramer/django-devserver
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# The source tar doesn't contain LICENSE file, download it separately
Source1:        https://raw.github.com/dcramer/%{pypi_name}/master/LICENSE

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       python-django

%description
A drop in replacement for Django's built-in runserver command.
Features include:
- An extendable interface for handling things such as real-time logging.
- Integration with the werkzeug interactive debugger.
- Threaded (default) and multi-process development servers.
- Ability to specify a WSGI application as your target environment.


%prep
%setup -q -n %{pypi_name}-%{version}
cp %{SOURCE1} .

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc LICENSE
%{python_sitelib}/devserver
%{python_sitelib}/django_devserver*


%changelog
* Tue Apr 17 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.1-1
- Initial package.
